Skip to main content
POST
/
datasets
/
v3
/
scrape
curl --request POST \
  --url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lu702nij2f790tmv9h&include_errors=true' \
  --header "Authorization: Bearer YOUR_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{"input": [{"url": "https://www.tiktok.com/@mrbeast/video/7553300000000000000"}, {"url": "https://www.tiktok.com/@bellapoarch/video/7400000000000000000"}]}'
[
  {
    "post_id": "7553300000000000000",
    "description": "This is an example post description #fyp #viral",
    "create_time": "2025-01-15T14:30:00.000Z",
    "share_count": 45000,
    "collect_count": 12000,
    "comment_count": 8500,
    "play_count": 15000000,
    "video_duration": 45,
    "hashtags": [
      "#fyp",
      "#viral"
    ],
    "video_url": "https://v16-webapp-prime.tiktok.com/video/example.mp4",
    "profile_username": "examplecreator",
    "profile_url": "https://www.tiktok.com/@examplecreator",
    "is_verified": true
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

dataset_id
string
default:"gd_lu702nij2f790tmv9h"
required
The dataset ID used for this request.
Must be set to gd_lu702nij2f790tmv9h to collect Posts by URL data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url": "https://www.tiktok.com/@mrbeast/video/7553300000000000000"},
    {"url": "https://www.tiktok.com/@bellapoarch/video/7400000000000000000"}
  ]
}
[
  {
    "post_id": "7553300000000000000",
    "description": "This is an example post description #fyp #viral",
    "create_time": "2025-01-15T14:30:00.000Z",
    "share_count": 45000,
    "collect_count": 12000,
    "comment_count": 8500,
    "play_count": 15000000,
    "video_duration": 45,
    "hashtags": [
      "#fyp",
      "#viral"
    ],
    "video_url": "https://v16-webapp-prime.tiktok.com/video/example.mp4",
    "profile_username": "examplecreator",
    "profile_url": "https://www.tiktok.com/@examplecreator",
    "is_verified": true
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

dataset_id
string
default:gd_lu702nij2f790tmv9h
required

Must be gd_lu702nij2f790tmv9h for this dataset.

notify
boolean
default:false

Send notifications when the request is completed.

include_errors
boolean
default:true

Include errors in the response.

Body

application/json
input
object[]
required

Array of input objects. See Request Body below for the supported fields.

Response

200 - application/json

OK. See response example below the parameters.